org.codehaus.groovy.ast.expr

## Class ClosureListExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ListExpression
        - - org.codehaus.groovy.ast.expr.ClosureListExpression

    public class ClosureListExpression
    extends ListExpression

This class represents a list of expressions used to create closures. Example: `def foo = (1;2;;)` The right side is a ClosureListExpression consisting of two ConstantExpressions for the values 1 and 2, and two EmptyStatement entries. The ClosureListExpression defines a new variable scope. All created Closures share this scope.

Author:
  Jochen Theodorou

### Constructor Summary

Constructors
Constructor and Description
`ClosureListExpression()`
`ClosureListExpression(java.util.List<Expression> expressions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getText()`
`VariableScope` `getVariableScope()`
`void` `setVariableScope(VariableScope scope)`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.ListExpression

`addExpression, getExpression, getExpressions, isWrapped, setWrapped, toString`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClosureListExpression

    public ClosureListExpression(java.util.List<Expression> expressions)

#### ClosureListExpression

    public ClosureListExpression()

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ListExpression`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Overrides:
  `transformExpression` in class `ListExpression`

#### setVariableScope

    public void setVariableScope(VariableScope scope)

#### getVariableScope

    public VariableScope getVariableScope()

#### getText

    public java.lang.String getText()

Overrides:
  `getText` in class `ListExpression`